Drive one legal status transition (422 on an illegal edge)
POST
/admin/v1/orders/{id}/transitions
const url = 'https://your-store.example.com/admin/v1/orders/example/transitions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"to":"pending_payment","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/orders/example/transitions \ --header 'Content-Type: application/json' \ --data '{ "to": "pending_payment", "note": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
to
required
string
note
string